with GNATCOM.Dispinterface;

package MSHTML.IHTMLTableCell_Interface is

   type IHTMLTableCell_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTableCell_Type);

   function Pointer (This : IHTMLTableCell_Type)
     return Pointer_To_IHTMLTableCell;

   procedure Attach (This    : in out IHTMLTableCell_Type;
                     Pointer : in     Pointer_To_IHTMLTableCell);

   procedure Put_rowSpan
     (This : IHTMLTableCell_Type;
      p    : Interfaces.C.long);

   function Get_rowSpan
     (This : IHTMLTableCell_Type)
     return Interfaces.C.long;

   procedure Put_colSpan
     (This : IHTMLTableCell_Type;
      p    : Interfaces.C.long);

   function Get_colSpan
     (This : IHTMLTableCell_Type)
     return Interfaces.C.long;

   procedure Put_align
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_align
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_vAlign
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_vAlign
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_bgColor
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_bgColor
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_noWrap
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_noWrap
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_background
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_background
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_borderColor
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColor
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderColorLight
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColorLight
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderColorDark
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderColorDark
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_width
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_width
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_height
     (This : IHTMLTableCell_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_height
     (This : IHTMLTableCell_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cellIndex
     (This : IHTMLTableCell_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLTableCell_Interface;

